import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AddTagsInput } from "../types/AddTagsInput";
import { AddTagsOutput } from "../types/AddTagsOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/AddTagsInput";
export * from "../types/AddTagsOutput";
export * from "../types/AddTagsExceptionsUnion";
export declare class AddTagsCommand implements __aws_sdk_types.Command<InputTypesUnion, AddTagsInput, OutputTypesUnion, AddTagsOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: AddTagsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AddTagsInput, AddTagsOutput, Blob>;
    constructor(input: AddTagsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<AddTagsInput, AddTagsOutput>;
}
