"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeElasticsearchInstanceTypeLimits_1 = require("../model/operations/DescribeElasticsearchInstanceTypeLimits");
var DescribeElasticsearchInstanceTypeLimitsCommand = /** @class */ (function () {
    function DescribeElasticsearchInstanceTypeLimitsCommand(input) {
        this.input = input;
        this.model = DescribeElasticsearchInstanceTypeLimits_1.DescribeElasticsearchInstanceTypeLimits;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeElasticsearchInstanceTypeLimitsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeElasticsearchInstanceTypeLimitsCommand;
}());
exports.DescribeElasticsearchInstanceTypeLimitsCommand = DescribeElasticsearchInstanceTypeLimitsCommand;
//# sourceMappingURL=DescribeElasticsearchInstanceTypeLimitsCommand.js.map