import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReservedElasticsearchInstancesInput } from "../types/DescribeReservedElasticsearchInstancesInput";
import { DescribeReservedElasticsearchInstancesOutput } from "../types/DescribeReservedElasticsearchInstancesOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/DescribeReservedElasticsearchInstancesInput";
export * from "../types/DescribeReservedElasticsearchInstancesOutput";
export * from "../types/DescribeReservedElasticsearchInstancesExceptionsUnion";
export declare class DescribeReservedElasticsearchInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReservedElasticsearchInstancesInput, OutputTypesUnion, DescribeReservedElasticsearchInstancesOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: DescribeReservedElasticsearchInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReservedElasticsearchInstancesInput, DescribeReservedElasticsearchInstancesOutput, Blob>;
    constructor(input: DescribeReservedElasticsearchInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeReservedElasticsearchInstancesInput, DescribeReservedElasticsearchInstancesOutput>;
}
