"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUpgradeHistory_1 = require("../model/operations/GetUpgradeHistory");
var GetUpgradeHistoryCommand = /** @class */ (function () {
    function GetUpgradeHistoryCommand(input) {
        this.input = input;
        this.model = GetUpgradeHistory_1.GetUpgradeHistory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUpgradeHistoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUpgradeHistoryCommand;
}());
exports.GetUpgradeHistoryCommand = GetUpgradeHistoryCommand;
//# sourceMappingURL=GetUpgradeHistoryCommand.js.map