"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsInput_1 = require("../shapes/AddTagsInput");
var AddTagsOutput_1 = require("../shapes/AddTagsOutput");
var BaseException_1 = require("../shapes/BaseException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ValidationException_1 = require("../shapes/ValidationException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTags",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/tags"
    },
    input: {
        shape: AddTagsInput_1.AddTagsInput
    },
    output: {
        shape: AddTagsOutput_1.AddTagsOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=AddTags.js.map