"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeElasticsearchDomainInput_1 = require("../shapes/DescribeElasticsearchDomainInput");
var DescribeElasticsearchDomainOutput_1 = require("../shapes/DescribeElasticsearchDomainOutput");
var BaseException_1 = require("../shapes/BaseException");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeElasticsearchDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeElasticsearchDomain",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/domain/{DomainName}"
    },
    input: {
        shape: DescribeElasticsearchDomainInput_1.DescribeElasticsearchDomainInput
    },
    output: {
        shape: DescribeElasticsearchDomainOutput_1.DescribeElasticsearchDomainOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DescribeElasticsearchDomain.js.map