"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReservedElasticsearchInstanceOfferings_1 = require("../model/operations/DescribeReservedElasticsearchInstanceOfferings");
var DescribeReservedElasticsearchInstanceOfferingsCommand = /** @class */ (function () {
    function DescribeReservedElasticsearchInstanceOfferingsCommand(input) {
        this.input = input;
        this.model = DescribeReservedElasticsearchInstanceOfferings_1.DescribeReservedElasticsearchInstanceOfferings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReservedElasticsearchInstanceOfferingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReservedElasticsearchInstanceOfferingsCommand;
}());
exports.DescribeReservedElasticsearchInstanceOfferingsCommand = DescribeReservedElasticsearchInstanceOfferingsCommand;
//# sourceMappingURL=DescribeReservedElasticsearchInstanceOfferingsCommand.js.map