import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListElasticsearchVersionsInput } from "../types/ListElasticsearchVersionsInput";
import { ListElasticsearchVersionsOutput } from "../types/ListElasticsearchVersionsOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/ListElasticsearchVersionsInput";
export * from "../types/ListElasticsearchVersionsOutput";
export * from "../types/ListElasticsearchVersionsExceptionsUnion";
export declare class ListElasticsearchVersionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListElasticsearchVersionsInput, OutputTypesUnion, ListElasticsearchVersionsOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: ListElasticsearchVersionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListElasticsearchVersionsInput, ListElasticsearchVersionsOutput, Blob>;
    constructor(input: ListElasticsearchVersionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<ListElasticsearchVersionsInput, ListElasticsearchVersionsOutput>;
}
