"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListElasticsearchVersions_1 = require("../model/operations/ListElasticsearchVersions");
var ListElasticsearchVersionsCommand = /** @class */ (function () {
    function ListElasticsearchVersionsCommand(input) {
        this.input = input;
        this.model = ListElasticsearchVersions_1.ListElasticsearchVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListElasticsearchVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListElasticsearchVersionsCommand;
}());
exports.ListElasticsearchVersionsCommand = ListElasticsearchVersionsCommand;
//# sourceMappingURL=ListElasticsearchVersionsCommand.js.map